Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: qtwayland-everywhere-src
Source: https://download.qt.io/official_releases/qt/*/submodules/

Files: *
Copyright: 2016-2021 The Qt Company Ltd.
License: LGPL-3 or GPL-2

Files: debian/*
Copyright: 2021-2025 Patrick Franz <deltaone@debian.org>,
           2021 Lu YaNing <dluyaning@gmail.com>
License: LGPL-3 or GPL-2

Files: config.tests/*
       examples/*
       src/extensions/*
       tests/manual/*
Copyright: 2015-2021 The Qt Company Ltd.
License: BSD-3-clause

Files: tests/auto/*
Copyright: 2016-2020 The Qt Company Ltd.
           2018-2019 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
License: GPL-3 with Qt-1.0 exception

Files: src/compositor/*
       src/hardwareintegration/compositor/*
       src/imports/compositor-extensions/*
       src/plugins/hardwareintegration/compositor/*
Copyright: 2015-2019 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
           2017      Jolla Ltd
           2016-2017 Klarälvdalens Datakonsult AB (KDAB)
           2016-2021 The Qt Company Ltd.
License: GPL-3

Files: examples/wayland/ivi-compositor/doc/src/ivi-compositor.qdoc
       examples/wayland/minimal-qml/doc/src/minimal-qml.qdoc
       examples/wayland/multi-output/doc/src/multi-output.qdoc
       examples/wayland/multi-screen/doc/src/multi-screen.qdoc
       examples/wayland/overview-compositor/doc/src/overview-compositor.qdoc
       examples/wayland/server-side-decoration/doc/src/server-side-decoration.qdoc
       examples/wayland/spanning-screens/doc/src/spanning-screens.qdoc
       src/compositor/doc/src/qt6-changes.qdoc
       src/compositor/doc/src/qtwaylandcompositor-cpp.qdoc
       src/compositor/doc/src/qtwaylandcompositor-examples.qdoc
       src/compositor/doc/src/qtwaylandcompositor-overview.qdoc
       src/compositor/doc/src/qtwaylandcompositor-qmltypes.qdoc
       src/compositor/doc/src/qtwaylandcompositor-shellextensions.qdoc
Copyright: 2017-2021 The Qt Company Ltd.
License: GFDL-NIV-1.3

Files: src/plugins/shellintegration/fullscreen-shell-v1/*
Copyright: 2018-2019 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
License: LGPL-3 or GPL-2

Files: examples/wayland/fancy-compositor/qml/Keyboard.qml
Copyright: 2017 Klarälvdalens Datakonsult AB (KDAB)
License: BSD-3-clause

Files: src/client/shellintegration/*
       src/hardwareintegration/*/libhybris-egl-server/*
       src/plugins/hardwareintegration/*/libhybris-egl-server/main.cpp
Copyright: 2014-2016 Jolla Ltd
License: LGPL-3 or GPL-2

Files: src/extensions/libhybris-egl-server-buffer.xml
Copyright: 2014 Jolla Ltd
License: BSD-3-clause

Files: src/client/qwaylanddatadevice.cpp
       src/client/qwaylanddatadevice_p.h
       src/client/qwaylandinputcontext*
       src/shared/qwaylandinputmethodeventbuilder*
Copyright: 2016 Klarälvdalens Datakonsult AB (KDAB)
License: LGPL-3 or GPL-2

Files: src/client/qwaylandabstractdecoration*
       src/client/qwaylanddecorationfactory*
       src/client/qwaylanddecorationplugin*
       src/plugins/decorations/bradient/main.cpp
Copyright: 2016 Robin Burchell <robin.burchell@viroteck.net>
License: LGPL-3 or GPL-2

Files: src/plugins/shellintegration/xdg-shell/qwaylandxdgshell*
Copyright: 2016-2017 Eurogiciel
License: LGPL-3 or GPL-2

Files: src/extensions/qt-text-input-method-unstable-v1.xml
Copyright: 2021 The Qt Company Ltd.
License: Expat

Files: src/3rdparty/protocol/fullscreen-shell/fullscreen-shell-unstable-v1.xml
Copyright: 2016 Yong Bakos
           2015 Jason Ekstrand
           2015 Jonas Ådahl
License: Expat

Files: src/3rdparty/protocol/idle-inhibit/idle-inhibit-unstable-v1.xml
Copyright: 2015 Samsung Electronics Co., Ltd
License: Expat

Files: src/3rdparty/protocol/ivi/ivi-application.xml
       src/3rdparty/protocol/ivi/ivi-controller.xml
Copyright: 2013 DENSO Corporation
           2013 BMW Car IT GmbH
License: Expat

Files: src/3rdparty/protocol/linux-dmabuf/linux-dmabuf-unstable-v1.xml
       src/3rdparty/protocol/scaler/scaler.xml
       src/3rdparty/protocol/viewporter/viewporter.xml
Copyright: 2013-2016 Collabora, Ltd.
License: Expat

Files: src/3rdparty/protocol/text-input/v2/text-input-unstable-v2.xml
Copyright: 2012-2013 Intel Corporation
           2015-2016 Jan Arne Petersen
License: HPND

Files: src/3rdparty/protocol/wayland/wayland.xml
Copyright: 2008-2011 Kristian Høgsberg
           2010-2011 Intel Corporation
           2012-2013 Collabora, Ltd.
License: Expat

Files: src/3rdparty/protocol/wl-eglstream/wl-eglstream-controller.xml
Copyright: 2017 NVIDIA Corporation
License: Expat

Files: src/3rdparty/protocol/xdg-decoration/xdg-decoration-unstable-v1.xml
Copyright: 2018 Simon Ser
License: Expat

Files: src/3rdparty/protocol/xdg-output/xdg-output-unstable-v1.xml
       src/3rdparty/protocol/wp-primary-selection/wp-primary-selection-unstable-v1.xml
Copyright: 2015-2017 Red Hat Inc.
License: Expat

Files: src/3rdparty/protocol/pointer-gestures/pointer-gestures-unstable-v1.xml
Copyright: 2015-2016 Red Hat Inc.
License: Expat

Files: src/3rdparty/protocol/xdg-shell/xdg-shell.xml
Copyright: 2008-2013 Kristian Høgsberg
           2013      Rafael Antognolli
           2013      Jasper St. Pierre
           2010-2013 Intel Corporation
           2015-2017 Samsung Electronics Co., Ltd
           2015-2017 Red Hat Inc.
License: Expat

Files: src/3rdparty/protocol/tablet/tablet-unstable-v2.xml
Copyright: 2014      Stephen "Lyude" Chandler Paul
           2015-2016 Red Hat, Inc.
License: Expat

Files: src/client/inputdeviceintegration/qwaylandinputdeviceintegration*
       src/client/qwaylandshm*
Copyright: 2016 LG Electronics, Inc.
License: LGPL-3 or GPL-2

Files: src/client/global/qwaylandclientextension*
Copyright: 2017 Erik Larsson
License: LGPL-3 or GPL-2

Files: tests/manual/texture-sharing-2/qml-client/main.cpp
       tests/manual/texture-sharing-2/qml-client/main.qml
Copyright: 2017 Erik Larsson
License: BSD-3-clause

Files: examples/wayland/multi-screen/qml/*
Copyright: 2017 The Qt Company Ltd.
           2017 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
License: BSD-3-clause

Files: src/client/qwaylandbuffer.cpp
Copyright: 2017 The Qt Company Ltd.
           2017 Giulio Camuffo
License: LGPL-3 or GPL-2

Files: src/plugins/shellintegration/ivi-shell/*
Copyright: 2017 ITAGE Corporation
License: LGPL-3 or GPL-2

Files: src/plugins/shellintegration/wl-shell/main.cpp
Copyright: 2018 The Qt Company Ltd.
           2017 ITAGE Corporation
License: LGPL-3 or GPL-2

Files: tests/auto/client/shared/mockcompositor.*
       tests/auto/client/shared/iviapplication.*
       tests/auto/client/shared/fullscreenshellv1.*
       tests/auto/client/fullscreenshellv1/tst_fullscreenshellv1.cpp
Copyright: 2021 David Edmundson <davidedmundson@kde.org>
           2018 The Qt Company Ltd.
           2018 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
License: GPL-3 with Qt-1.0 exception

Files: tests/auto/compositor/compositor/mockseat.*
       tests/auto/compositor/compositor/testkeyboardgrabber.*
       tests/auto/compositor/compositor/testseat.*
Copyright: 2016 LG Electronics, Inc.
License: GPL-3 with Qt-1.0 exception

Files: tests/manual/subsurface/*
Copyright: 2015 LG Electronics Inc
License: BSD-3-clause

License: GPL-2
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 2 as
 published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public
 License version 2 can be found in /usr/share/common-licenses/GPL-2.

License: GPL-3
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 3 as
 published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public
 License version 3 can be found in /usr/share/common-licenses/GPL-3.

License: GPL-3 with Qt-1.0 exception
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 3 as
 published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public License
 version 3 can be found in /usr/share/common-licenses/GPL-3.
 .
 The Qt Company GPL Exception 1.0
 Exception 1:
 .
 As a special exception you may create a larger work which contains the
 output of this application and distribute that work under terms of your
 choice, so long as the work is not otherwise derived from or based on
 this application and so long as the work does not in itself generate
 output that contains the output from this application in its original
 or modified form.
 .
 Exception 2:
 .
 As a special exception, you have permission to combine this application
 with Plugins licensed under the terms of your choice, to produce an
 executable, and to copy and distribute the resulting executable under
 the terms of your choice. However, the executable must be accompanied
 by a prominent notice offering all users of the executable the entire
 source code to this application, excluding the source code of the
 independent modules, but including any changes you have made to this
 application, under the terms of this license.

License: LGPL-3
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License version 3
 as published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.
 .
 On Debian systems, the complete text of the GNU Lesser General Public
 License version 3 can be found in /usr/share/common-licenses/LGPL-3.

License: GFDL-NIV-1.3
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3
 or any later version published by the Free Software Foundation;
 with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
 .
 On Debian systems, the complete text of the GNU Free Documentation
 License version 1.3 can be found in /usr/share/common-licenses/GFDL-1.3.

License: BSD-3-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are
 met:
 .
   * Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in
     the documentation and/or other materials provided with the
     distribution.
   * Neither the name of The Qt Company Ltd and its Subsidiary(-ies) nor the
     names of its contributors may be used to endorse or promote products
     derived from this software without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: Expat
 Permission to use, copy, modify, distribute, and sell this
 software and its documentation for any purpose is hereby granted
 without fee, provided that the above copyright notice appear in
 all copies and that both that copyright notice and this permission
 notice appear in supporting documentation, and that the name of
 the copyright holders not be used in advertising or publicity
 pertaining to distribution of the software without specific,
 written prior permission.  The copyright holders make no
 representations about the suitability of this software for any
 purpose.  It is provided "as is" without express or implied
 warranty.
 .
 THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
 FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY
 SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
 ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
 THIS SOFTWARE.

License: HPND
 Permission to use, copy, modify, distribute, and sell this
 software and its documentation for any purpose is hereby granted
 without fee, provided that the above copyright notice appear in
 all copies and that both that copyright notice and this permission
 notice appear in supporting documentation, and that the name of
 the copyright holders not be used in advertising or publicity
 pertaining to distribution of the software without specific,
 written prior permission.  The copyright holders make no
 representations about the suitability of this software for any
 purpose.  It is provided "as is" without express or implied
 warranty.
 .
 THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
 FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY
 SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
 ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
 THIS SOFTWARE.
